System.Data 1.0.5000.0 2.0.0.0 System.Data.Common.DBDataPermission

This class is intended for future use when the .NET Framework Data Provider for ODBC is enabled for partial trust scenarios. The .NET Framework Data Provider for ODBD currently requires FullTrust permission. Currently, using the OdbcPermission class has no effect. For more information, see Code Access Security and ADO.NET.

Enables the .NET Framework Data Provider for ODBC to help make sure that a user has a security level sufficient to access an ODBC data source. This class cannot be inherited.

- Constructor
  System.Obsolete("use OdbcPermission(PermissionState.None)", true)

  The base constructor initializes all fields to their default values.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class with one of the values.

  One of the values.
  1.0.5000.0
  2.0.0.0
- Constructor
  System.Obsolete("use OdbcPermission(PermissionState.None)", true)

  The enumeration takes precedence over the property. Therefore, if you set to false, you must also set to None to prevent a user from making a connection using a blank password.

  Initializes a new instance of the class.

  One of the System.Security.Permissions.PermissionState values.
  Indicates whether a blank password is allowed.
  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` `` ``

  This method can be useful when you implement the following:

  a .NET Framework data provider.

  an API that must assert for data access permission.

  an administrative tool or installation program that must modify security policy.

  Adds access for the specified connection string to the existing state of the permission.

  A permitted connection string. String that identifies connection string parameters that are allowed or disallowed. One of the values.
- Method
  System.Security.IPermission To be added.

  Returns the as an .

  A copy of the current permission object.

  1.0.5000.0
  2.0.0.0